using System.ComponentModel;

namespace Hotline.Settings
{
    public enum EValueType
    {
        /// <summary>
        /// 单选
        /// </summary>
        [Description("单选")]
        Radio = 0,
        /// <summary>
        /// 多选
        /// </summary>
        [Description("多选")]
        CheckBox = 1,
        /// <summary>
        /// 文本
        /// </summary>
        [Description("文本")]
        Input = 2,
        /// <summary>
        /// 数字
        /// </summary>
        [Description("数字")]
        InputNumber =3,
        /// <summary>
        /// 下拉
        /// </summary>
        [Description("下拉")]
        Select =4,
        /// <summary>
        /// True Or False
        /// </summary>
        [Description("True Or False")]
        Switch = 5,
        /// <summary>
        /// 时间
        /// </summary>
        [Description("时间")]
        TimePicker= 6,
        /// <summary>
        /// 日期
        /// </summary>
        [Description("日期")]
        DateTimePicker=7,
        /// <summary>
        /// 日期区间
        /// </summary>
        [Description("日期区间")]
        DateRange = 8,
        /// <summary>
        /// 时间区间
        /// </summary>
        [Description("时间区间")]
        TimeRange=9,
        /// <summary>
        /// 图片（单）
        /// </summary>
        [Description("图片（单）")]
        Image = 10,
        /// <summary>
        /// 图片（多）
        /// </summary>
        [Description("图片（多）")]
        Images = 11,
    }
}
